.\" $Header: /u/drspeech/src/utils/randlines/RCS/randlines.man,v 1.4 1998/05/25 19:54:19 janin Exp $
.TH RANDLINES 1 "$Date: 1998/05/25 19:54:19 $" ICSI "ICSI SPEECH SOFTWARE"
.SH NAME
randlines \- randomize a list of lines in an ASCII file
.SH SYNOPSIS
.B randlines
[
.BI -f " inputfile"
]
[
.BI -s " seed"
]
.SH DESCRIPTION
.LP
.I randlines
takes any ASCII file and randomizes
the lines in it.  That is, each line (between line feeds)
remains the same, but the order is randomized.  It's kind of
the  opposite of
.IR sort (1).

.SH OPTIONS
.TP 1i
.BI \-f "inputfile"
The file to randomize.  Uses \fB-\fR (stdin) by default.
.TP
.BI \-s " seed"
The random number seed to use.  By default uses a random (derived from
the clock) seed.
.LP
.SH AUTHOR
Gary Tajchman <tajchman@ICSI.Berkeley.EDU>
.SH SEE ALSO
.BR make_pfile (1),
.BR sort (1)
.SH NOTES
\fIrandlines\fR is typically used to take a list of sentence ids and 
rearrage them to get a randomized list suitable 
as the input to
.IR make_pfile (1)
for making a feature file for training.
.SH BUGS
Currently only works on lines less than 32000 characters long.


